<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
$COB_KOD=vbval(V($_GET['COB_KOD']));
$ES_CAJERO=0;
$ES_FACTURACION=0;
//+++++++++++++++++++++++
if(USU_PER_GET_ES_CAJERO()){
	$ES_CAJERO=1;
}
if(USU_PER_GET_ES_FACTURACION()){
	$ES_FACTURACION=1;
}
//+++++++++++++++++++++++
$Cue=gs("ID_CTA","vcobroz","ID=$COB_KOD");
$Cue=gs("MI_CUENTA","vis_cuentas_emp","ID_CTA=$Cue");
$OpeNro=gs("OPE_NRO","vcobroz","ID=$COB_KOD");
$OpeFec=gs("OPE_FEC_","vcobroz","ID=$COB_KOD");
if($OpeFec=="01-01-00")$OpeFec="";
//+++++++++++++++++
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Asignar cuenta</title>
<script type="text/javascript" src="fe/funcionez.js"></script>
<script type="text/javascript" src="fe/leo.js"></script>
<link rel="stylesheet" type="text/css" href="basic.css"  />
<style type="text/css">
<!--
body {
	background-color: #666;
}
#Layer1 {
	position:absolute;
	left:345px;
	top:115px;
	width:123px;
	height:35px;
	z-index:1;
}
.centrarFrm{
	width:900px;
	height:207px;
	position:absolute;
	left:50%;
	top:0px;
	background-color:#999999;
	margin:0 0 0 -450px;
}
#Layer2 {
	position:absolute;
	left:409px;
	top:205px;
	width:82px;
	height:24px;
	z-index:1;
}
.Estilo1 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
	color: #FFFFFF;
}
.f2 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #FFFFFF; font-size: 12px; }
.Estilo3 {color: #FFFFFF; font-size: 12px; font-family: Arial, Helvetica, sans-serif;}
.x4 {color: #000099}
.Estilo5 {color: #000000}

-->
</style>
<script>
function OL(){
	jF("Cue");
}
</script>
</head>
<body >
<form id="Frm" onload="OL()" name="Frm" method="post" action="cobroz_asignar_cuenta.php" 
onsubmit="return false;" autocomplete="off">
<input name="COB_KOD" id="COB_KOD" type="hidden" value="<?php echo $COB_KOD;?>" />
<input name="ES_CAJERO" id="ES_CAJERO" type="hidden" value="<?php echo $ES_CAJERO;?>" />
<input name="ES_FACTURACION" id="ES_FACTURACION" type="hidden" value="<?php echo $ES_FACTURACION;?>" />
<center> 
<div Id="DivFRM"  class="centrarFrm" >
<script>
function fKilCuenta(){
	var es_cajero=gv("ES_CAJERO");
	var es_facturacion=gv("ES_FACTURACION");
	var kod=gv("COB_KOD");
	if(jVal(kod)==0){
		alert("No se puede determinar el id del cobro activo");
		return;
	}
	if(jVal(es_cajero)==1 || jVal(es_facturacion)==1){
	}else{
		alert("Valido solo para usuarios de cargo cajero");
		return;
	}
	if(confirm("¿ Esta seguro que desea quitar la cuenta asignada ?")){
		var r=AX("COB_KIL_CUENTA",kod);
		var d=r.split("|");
		if(d[1]=="OK"){
			window.opener.document.Frm.Cue.value="";
			window.opener.document.Frm.OpeNro.value="";
			window.opener.document.Frm.OpeFec.value="";
			alert("La cuenta ha sido quitada correctamente");
			window.close();			
		}else{
			if(d[1]=="MS"){
				alert(d[2]);
			}else{
				alert("Error de conexion");
			}
		}
	}
}
function fSetCuenta(){
	var es_cajero=gv("ES_CAJERO");
	var es_facturacion=gv("ES_FACTURACION");
	var kod=gv("COB_KOD");
	if(jVal(kod)==0){
		alert("No se puede determinar el id del cobro activo");
		return;
	}
	if(jVal(es_cajero)==1 || jVal(es_facturacion)==1){
	}else{
		alert("Valido solo para usuarios de cargo cajero");
		return;
	}
	var cue=gv("Cue");
	var ope_nro=gv("OpeNro");
	var ope_fec=gv("OpeFec");
	if(jL(cue)==0){
		return AF("Seleccione una cuenta","Cue");
	}
	if(jL(ope_nro)==0){
		return AF("Ingrese el numero de operacion","OpeNro");
	}
	if(jL(ope_fec)==0){
		return AF("Ingrese la fecha de operacion","OpeFec");
	}
	if(!EsFecha(ope_fec)){
		return AF("Fecha de operacion no valida","OpeFec");
	}
	if(confirm("¿ Esta seguro que desea asignar la cuenta ?")){
		var r=AX("COB_SET_CUENTA",kod,cue,ope_nro,ope_fec);
		var d=r.split("|");
		if(d[1]=="OK"){
			window.opener.document.Frm.Cue.value=cue;
			window.opener.document.Frm.OpeNro.value=ope_nro;
			window.opener.document.Frm.OpeFec.value=ope_fec;
			alert("La cuenta ha sido asignada correctamente");
			window.close();
		}else{
			if(d[1]=="MS"){
				alert(d[2]);
			}else{
				alert("Error de conexion");
			}
		}
	}
}
</script>

<div id="LblTit" style="position:absolute; left: 57px; top: 7px; width: 64px;">
<div align="left" class="Estilo1"><img src="img/unidades.png" width="48" height="48" /></div>
</div>
<div id="layer" style="position:absolute; left: 116px; top: 26px; width: 412px; height: 24px;">
<div align="left" class="Estilo1">ASIGNAR CUENTA</div>
</div>

<div class="s1" style="position:absolute; left: 65px; top:66px; width: 252px;"> DEPOSITO - CUENTA
</div>
<select name="Cue" id="Cue" 
style="width:443px; position:absolute; left: 65px; top: 86px;" 
onkeydown="return SoloTextoEx(event,'OpeNro');" 
tabindex="1" 
>
<?php
echo FCBO("MI_CUENTA","vis_cuentas_emp","ID_CTA>0",$Cue,"N","S");
?>
</select>

<div class="s1" style="left:519px; top: 51px; width: 113px;">
DEPOSITO - Nro OPERACION
</div>
<input name="OpeNro" type="text" id="OpeNro" 
style="left: 519px; top: 86px; width: 155px;" 
value="<?php echo $OpeNro;?>"  
onkeydown="return SoloTextoEx(event,'OpeFec');" 
tabindex="2" />

<div class="s1" style="left:687px; top: 51px; width: 109px;">
DEPOSITO - FECHA (dd-mm-yy)</div>
<input name="OpeFec" type="text" id="OpeFec" 
style="left: 684px; top: 86px; width: 117px;" 
value="<?php echo $OpeFec;?>"  
onkeydown="return SoloFec(this,event,'CmdOk');" 
tabindex="3" />


<input type="button" name="CmdOk" id="CmdOk" 
value="Asignar cuenta" <?php echo $DIS;?> 
onClick="fSetCuenta()" tabindex="4"
style="position:absolute; left: 349px; top: 125px; width: 162px;"
/>

<input type="button" name="CmdKil" id="CmdKil" 
value="Quitar cuenta asignada" <?php echo $DIS;?> 
onClick="fKilCuenta()" tabindex="4"
style="position:absolute; left: 522px; top: 125px; width: 155px;"
/>

<input type="button" name="CmdX" id="CmdX" 
value="Cerrar" <?php echo $DIS;?> 
onClick="window.close();" tabindex="5"
style="position:absolute; left: 687px; top: 125px; width: 119px;"
/>
</div>
</center>	
</form>
</body>
</html>
